![status](https://img.shields.io/badge/build-ok-brightgreen.svg)
zaccaria-cli
============

> My single point library for cli apps

Install
-------

Install it with

    npm install zaccaria-cli

Usage
-----

The following endpoints are exported:

-   `$s`: promisified shelljs

-   `$b, Promise`: bluebird promises

-   `$d`: docopt

-   `$f.readLocal`: read local assets (relative path).

-   `$r.stdin`: promisified read from stdin

-   `withTmp(f)`: executes `f` by passing it a temporary file (that is
    deleted once finished) - returns a promise.

-   `withTmpDir(f, opts)`: executes `f` by passing it a
    temporary directory. Returns a promise. See
    [here](https://github.com/raszi/node-tmp#options) for options (use
    `unsafeCleanup: true` to cleanup the directory).

-   `$yaml(text)`: parse a yaml file into an object

Author
------

-   Vittorio Zaccaria

License
-------

Released under the BSD License.

------------------------------------------------------------------------

# New features

-     add read from stdin -- [Sep 1st 15](../../commit/61f350274c40015baf12fbe5bd42a5a2873a5b99)
-     export promisified fs -- [Jul 25th 15](../../commit/31e0d05a4573340cd92bec73536e2e76c97eff4c)
-     add bluebrd, lodash, monet and shelljs -- [Jul 25th 15](../../commit/88ec7e6cca9f8a3e181043e510ae7b51685c9e23)

# Bug fixes

-     readlocal -- [Jul 25th 15](../../commit/71d48df3d216da965c8b334f516870ce87faa25b)

# Changes to the build process

-     update package.json -- [Jul 25th 15](../../commit/caa47a74d7670c7973b7d23031f43192c1b3f763), [Jul 25th 15](../../commit/ce85bc1949698ecefad5935540e45e0b2e5254c2), [Jul 25th 15](../../commit/17d67d6c0332c41a23fe63d073a58ddea6fb8644)
-     initial commit of files -- [Jul 25th 15](../../commit/9bc2451f5b033f35e4df910a197ec06432f33bfc)
